function exportPDF()
{
   document.forms.ruleData.ec_eti.value='ruleData';
   document.forms.ruleData.ruleData_ev.value='pdfRulesList';
   document.forms.ruleData.ruleData_efn.value='rules.pdf';
   document.forms.ruleData.setAttribute('action','r_rules.do');
   document.forms.ruleData.setAttribute('method','post');
   document.forms.ruleData.submit();

}


// Suppresses a busy gif on the detail frame
function hideBusyDetail()
{
    var windowObj = (top != self) ? top : self;
    var busyMsgDiv;

   // Hide the progress bar
   busyMsgDiv = windowObj.document.getElementById("busyMessageDiv");
   if(busyMsgDiv)
      busyMsgDiv.style.display="none";
}


// Does processing needed upon completion of page load for Rules (and other) tab screens (both list screens and rule detail popup)
function rulesTabOnLoadHandler()
{
  if (window.removeBusy) removeBusy();
  hideBusyDetail();

  // Adjust datetimes to local from GMT
  //adjustDatetimes(); //S1162407

  // Use alternate onload processing for Console tab Activity display
  if (window.displayedBars) {
    consoleTabOnLoadHandler();
    return;
  }


  // Use alternate onload processing for morgTran screen
  if (document.getElementById("morgTransTable")) {
    morgTranOnLoadHandler();
    return;
  }


  // Establish the onResize handler (complain immediately if someone else is using it)
  if (window.onresize && window.onresize != rulesTabResizeHandler)
    alert($i18n("rules.ruleAction.js.rulesTabResizeHandler.fmt.txt", [window.onresize]));
  else
    window.onresize = rulesTabResizeHandler;
  rulesTabResizeHandler();

  // These functions work in both list screen and detail popup (no-op when non-applicable)
  try {
    buildSelectors();
    enableButtons();
  } catch(e) {
    // alert('caught ' + e.description);
    return;
  }

  // Enable drag and drop (if present)
  if (window.draggableIcons && window.draggableIcons.each)
  {
    draggableIcons.each( function(item) {
       new Draggable(item, { revert:true, ghosting:true });
    } );
    Droppables.add('canvas', { hoverclass: 'hoverActive', onDrop: dropIcon, onHover: inFlight } );
  }

  // Show propeties tab initially if defined
  if (window.swapGridContents)
  {
    swapGridContents('codeBuilder',1); // Droppable canvas must initialize before hiding it
    swapGridContents('ruleProperties',1);
    resizeProperties();
    changeExecutionPrioritySelector();
    document.body.style.backgroundColor = '#f0f1f2';

    // Reflect rule in title
    if (document.ruleForm  && document.ruleForm.baseRuleId && document.ruleForm.name && document.getElementById('ruleTypeInfo')) {
        var rt = '';
        if (document.getElementById('isTenantInstall').value == 'false')
            rt = '(' + document.getElementById('ruleTypeInfo').innerHTML.replace(/^\s*|\s*$/g,"") + ')';
      document.title = "Rule " + document.ruleForm.baseRuleId.value + ": " + rt + " " + document.ruleForm.name.value;
    }
  }

  // Set shift-space indicator
  try { setIgnoreShiftSpace(document.ruleForm && document.ruleForm.ignoreShiftSpaceInd && document.ruleForm.ignoreShiftSpaceInd.value=='1'); } // S0844689
  catch (error) { } // Ignore

  // Show/hide rows if creating an estimate
  if (window.initializeEstimationCreator) initializeEstimationCreator();
}

// Adjust datetimes to browser-local time
function adjustDatetimes() {
  var tags = document.getElementsByTagName("SPAN");
  //log('adjustDatetimes: ' + tags.length);
  for (var t=0; t<tags.length; t++) {
    //log('adjustDatetimes: ' + t + ' ' + tags[t].getAttribute('dateFormat'));
    if (tags[t].getAttribute('dateFormat')) {
       var msec = tags[t].getAttribute('dateValue');
       if (!msec || msec==0)
         continue;
       var dt = new Date();
       dt.setTime(msec);
       tags[t].innerHTML = formatDate(dt,tags[t].getAttribute('dateFormat'));
    }
  }
}

// Drop an icon onto the canvas for the codebuilder
function dropIcon(draggable, canvas)
{
  alert('dropped icon ' + draggable + " onto " + canvas);
}

// Show where we are when dragging
function inFlight(draggable, droppable, position)
{
  $('canvas').innerHTML = new Date().toString() + "<br>" + droppable.getStyle('background-color') + "<br>" + droppable.className;
}

// Resize appropriately when window size changes
function rulesTabResizeHandler()
{
  try {
    if (opener && opener.window && opener.window.name == "detail")
    {
      rulesTabPopupResizeHandler();
    }
    else
    {
      rulesTabFrameResizeHandler();
    }
  } catch (error) {
      // If opening frame moves away from original rule list, we get an exception
      rulesTabPopupResizeHandler();
  }
}

// Resize grid when window size changes
function rulesTabFrameResizeHandler()
{
  // Get browser-dependent window size and available-area adjustment
  var winH, winW;
  var adjH, adjW;
  if (window.innerHeight)
  {
    winH = parseInt(window.innerHeight);
    adjH = -8;
    winW = parseInt(window.innerWidth);
    adjW = -10;
  }
  else
  {
    // Strict mode
    // IE8 does not fire resize on vertical change (https://connect.microsoft.com/IE/feedback/details/410707/ie8-rc1-stds-mode-does-not-fire-the-resize-event-on-iframes-if-the-resize-is-vertical)
    if (!(document.documentElement.clientWidth == 0))
    {
      winW = parseInt(document.documentElement.clientWidth) - 4;
      winH = parseInt(document.documentElement.clientHeight) - 4;
      adjH = +24;
      adjW = 8;
    }
    // Quirks mode
    else
    {
      winW = parseInt(document.body.offsetWidth) - 4;
      winH = parseInt(document.body.offsetHeight) - 4;
      adjH = +24;
      adjW = -8;
    }
  }

  // Adjust for actual available inner size
  winH = winH + adjH;
  winW = winW + adjW;

  // Resize areas for new window size
  var scrollableDiv = document.getElementById('rulesTabScrollableDiv');
  if (!scrollableDiv)
      scrollableDiv = document.getElementById('consoleTabScrollableDiv');
  if (!scrollableDiv)
      scrollableDiv = document.getElementById('consoleTabScrollableToBottomDiv');
  try {
    rulesTabResizer( winH, winW, scrollableDiv, 1, 1);
//if (document.getElementById('lookupListContentsFrame')) alert(scrollableDiv.id + " H=" + winH + " W=" + winW);
    rulesTabResizer( winH-32, winW, document.getElementById('lookupListContentsFrame'), 1, -1);
    rulesTabResizer( winH, winW-8, document.getElementById('statusDiv'), -1, 1);
    rulesTabResizer( winH-20, winW-20, document.getElementById('messageDiv'), 1, 1);
  } catch (e) {
    alert(e.name + ' in rulesTabFrameResizeHandler: ' + e.message +"\n\n"+scrollableDiv);
  }
}


function refreshRuleFolders(action)
{
	if(typeof buildID != 'undefined') 
		parent.frames[ "overview" ].location.href = action + '?method=listRuleFolders' + '&workflow=' + workflow + '&userId=' + userId +'&buildID='+buildID +'&refresh=true';
	else
		parent.frames[ "overview" ].location.href = action + '?method=listRuleFolders' + '&workflow=' + workflow + '&userId=' + userId + '&refresh=true';
}

function showRules(ruleAction,estAction)
{
  // alert(_tree.data );
  selectedNodes = _rulesFolderTree.getSelectedNodes();
  var node = selectedNodes[0];
  var nodeId = node.getId();

  if(nodeId == "root")
  {
	  nodeId = 'allCoding';
  }

  if(nodeId == "Estimations" || nodeId=="ESTIMATION_USER_allEstimates")
  {
	  nodeId = 'ESTIMATION_USER_allEstimates';
	  showRuleEstimates(estAction,nodeId);
	  return;
  }

  else if(nodeId.substr(0,16) == "ESTIMATION_USER_")
  {
	  showRuleEstimates(estAction,nodeId);
	  return;
  }
  // alert(node.getId));
  setCookie('rules_folders',nodeId);

  // Special handling for coding rules
  if(nodeId == 'Coding')
	  nodeId = 'allCoding';
  var userId = '';
  if(nodeId == 'allCoding')    // all coding rules
     nodeId = 'Coding';
  else if(node.parentId == 'Coding')  // coding rules by user
  {
      nodeId = 'Coding';
      userId = node.getId();
  }
  if(nodeId!=""){
  	if(nodeId.substring(0,5)=="build"){
	  var buildID=nodeId.replace('build','');
	  nodeId='build';
  	}
  }
  if(nodeId =='Deployments' || nodeId =='Current'){
	   nodeId == 'Current';
	   parent.frames[ "detail" ].location.href = ruleAction+'?method=showDeployment&type=Current';
  }
  else if(nodeId=="build"){

	  parent.frames[ "detail" ].location.href = ruleAction + '?method=listRules' + '&workflow=' + nodeId + '&buildID=' + buildID;
  }
  else{
	  parent.frames[ "detail" ].location.href = ruleAction + '?method=listRules' + '&workflow=' + nodeId + '&userId=' + userId;
  }
}

function searchRules()
{
   var searchText = document.searchForm.searchText.value;
   searchText = searchText.replace(/^\s+/, '');
   searchText = searchText.replace(/\s+$/, '');
   if(searchText == '')
   {
      return;
   }
   setCookie('rules_searchText',searchText);
   setBusyDetail();
   document.searchForm.submit();
}

function setSearchText(defaultValue)
{
   var searchText = getCookie('rules_searchText',defaultValue);
   document.searchForm.searchText.value = searchText;

}

function handleRowSelection(id, baseRuleId, name, version, lockVersion, state, executionOrderPriority, row, className, event)
{
	// multi select
    //alert(event.ctrlKey);
   // alert(event.shiftKey);

    // alert("handleRowSelection");
    var rule = new Object();
    rule.id = id;
    rule.baseRuleId = baseRuleId;
    rule.name = name;
    rule.version = version;
    rule.lockVersion = lockVersion;
    rule.state = state;
    rule.executionOrderPriority = executionOrderPriority;
    rule.position = getPositionOfTableRow(row);    
    highlightRow(row, className, event, rule);
}

// select all rows
function selectAllRows(tableId)
{
  // Simulate cntl key down
  var fakeEvent = new Object();
  fakeEvent.ctrlKey = 1;

  // for each row, run its onclick
  var table = document.getElementById(tableId);
  var rows = table.rows;
  var count = 0;
  for (var r=0; r<rows.length; r++)
  {
    if (rows[r].onclick)
    {
      // Make onclick code callable from here
      var func = rows[r].onclick.toString();
      func = func.substr(func.indexOf("{")+1);
      func = func.substr(0,func.length-1);
      func = func.replace("this","rows[r]");
      func = func.replace("event","fakeEvent");
      if (!window.XMLHttpRequest) eval(func);  // Avoid FF syntax error
    }
  }
}

function ibatisTesting()
{
   var link = action + "?method=ibatisTesting";
   setBusyDetail();
   parent.frames[ "detail" ].location.href = link;

}

// Returns legal sample percent from the of the tag or null if invalid
function getValidSamplePercent(tag) {
  var sampPct;
  try { sampPct = parseInt(tag.value); }
  catch (e) { }
  if (!sampPct || sampPct < 1 || sampPct > 100 || tag.value.indexOf('.')>=0)
  {
    sampPct = null;
    alert($i18n("rules.ruleAction.js.samplePercentInvalid2.alert.fmt.txt", [document.getElementById("samplePercent").value]));
  }
  return sampPct;
}

function openExportRulesWindow(link)
{

   var options = 'resizable=1,scrollbars=1,status=1,width=' + 200 + ',height=' + 150;
   alert(link);
   var exportWin = window.open(link, '','');
}


function copyRule()
{
   // TBD
}

function validateForm()
{
   var acct = document.getElementById("account").value;
   if (acct!=acct.replace(/[^a-zA-Z0-9\-=\.\+_%\$#@!&\*|:;<>,\?/]/,''))
   {
      alert($i18n("rules.ruleAction.js.accountCharsInvalid.alert.txt"));
      return false;
   }

   var sampPct = getValidSamplePercent(document.getElementById("samplePercent"));
   if (!sampPct)
       return false;

   if (!validateNotEmpty($i18n("rules.ruleAction.js.ruleType.txt"), document.ruleForm.ruleTypeId.value))
   {
        return false;
   }

   if (!validateNotEmpty($i18n("rules.ruleAction.js.ruleName.txt"), document.ruleForm.name.value))
   {
        document.ruleForm.name.select();
        document.ruleForm.name.focus();
        return false;
   }

   var multiOrgId = document.getElementById("multiOrgId");
   if (multiOrgId.selectedIndex==0)
   {
      alert($i18n("rules.ruleAction.js.multiOrgMissing.alert.txt"));
      return false;
   }

   var queueSelector = document.ruleForm.queueId;
   var selectedRuleType = getRuleType();
   var matchQueueType = selectedRuleType.match("Q") != null;
   var matchAuthType = selectedRuleType.match("A") != null;
   var queuedResponseMacros = new RegExp(document.ruleForm.queuedResponseMacros.value, 'i'); // S1046564
   var queuedResponseRule = document.ruleForm.code.value.match(queuedResponseMacros) != null; // S1046564
   // alert("DEBUG: " + document.getElementById("oseAlertInd").value);
   var oseAlertInd = document.getElementById("oseAlertInd") && document.getElementById("oseAlertInd").value=='true';
   // alert("DEBUG: " + oseAlertInd +" "+ queuedResponseRule +" "+matchAuthType +" "+matchQueueType)
   if (matchQueueType || (matchAuthType && queuedResponseRule && oseAlertInd)) // if is queue rule or queued response auth rule
   {
      // queue must be selected (force XAMS queue if XAMS)
      if (document.getElementById('xamsSelection'))
          document.getElementById('xamsSelection').selected = 'selected';
      else if (queueSelector.options[queueSelector.selectedIndex].value == '')
      {
         alert($i18n("rules.ruleAction.js.queueMissing.alert.txt"));
         return false;
      }
      // alert type must be selected
      var alertType = document.ruleForm.alertType;
      if (alertType.value == '')
      {
         alert($i18n("rules.ruleAction.js.alertTypeMissing.alert.txt"));
         return false;
      }
      // selected components must contain the segment for this alertType key variable
      //var segAc= "GR" + alertType.value;
      var segAc = getSegmentForAlertType(alertType.value);
      var compSegIds = getComponentSegmentIds();
      if (!hasSegment(compSegIds,segAc))
      {
         var compsForAlertType = new Object();
         for (var c in ComponentSegmentsMap)
         {
            if (hasSegment(ComponentSegmentsMap[c],segAc))
               compsForAlertType[c] = true;
         }
         var labs = new Array();
         var tds = document.getElementsByTagName("TD");
         for (var t=0; t<tds.length; t++)
         {
            var tid = tds[t].id;
            if (tid && tid.substr(0,12)=="componentTD:" && compsForAlertType[tid.split(":")[1]])
               labs.push(tds[t].component + " Component: " + tds[t].innerHTML + "");
         }

         alert($i18n("rules.ruleAction.js.componentMissing.alert.fmt.txt", [alertType.options[alertType.selectedIndex].innerHTML, labs.join("\n    ")]));
         return false;
      }
   }

   var execOrderType = document.ruleForm.executionOrderType.value;
   if (execOrderType == '')
   {
      alert($i18n("rules.ruleAction.js.executionOrderMissing.alert.txt"));
      return false;
   }
   if (execOrderType!="0")
   {
     var executionOrderPriority = document.getElementById("executionOrderPriority").value.replace(/^\s*|\s*$/g,""); // Trim whitespace
     if (executionOrderPriority=='')
     {
         alert($i18n("rules.ruleAction.js.executionPriorityMissing.alert.txt"));
         return false;
     }
     if (!validateNumber(document.getElementById("executionOrderPriority"), $i18n("rules.ruleAction.js.ruleExecution.txt")))
     {
        return false;
     }
   }

   var descValue = document.ruleForm.description.value;
   if(descValue.length > 255)
   {
      alert($i18n("rules.ruleAction.js.ruleDescriptionLimit.alert.txt"));
      return false;
   }

   var alertReasonValue = document.ruleForm.alertReason.value;
   if(alertReasonValue.length > 100)
   {
      alert($i18n("rules.ruleAction.js.alertReasonLimit.alert.txt"));
      return false;
   }

   return true;
}

// Return true if the indicated segment acronym is in the supplied list of segment IDs
function hasSegment(segIds, segAc) {
   var s;
   for (s=0; s<segIds.length; s++)
   {
      var lab = SegmentLabelMap[segIds[s]];
      if (lab && lab.substr(0,3) == segAc)
        break;
   }
   return (s<segIds.length);
}

// Returns an array of segmentIds corresponding to the currently selected components
function getComponentSegmentIds() {
  var segSet = new Object();
  var compIdAry = getComponentIdArray();
  for (var i=0; i<compIdAry.length; i++) {
    var segs = ComponentSegmentsMap[compIdAry[i]];
    for (var s in segs) {
      segSet[segs[s]] = segs[s];
    }
  }
  var compSegs = new Array();
  for (var s in segSet) {
    var ruleType=getRuleType();
    if (ruleType=="Q" && (ageRuleSegmentIds[s] || !oseRuleSegmentIds[s]) ||
        ruleType!="Q" && oseRuleSegmentIds[s])
      compSegs.push(s);
  }
  return compSegs;
}


// Notifies interested parties of a change in multiorg
function changeMultiOrg(tag) {
   // Nothing here right now
}

// Display a map nicely labeled for debug
function debugMap(lab,map) {
  var sb='';
  for (var key in map) sb += key+"="+map[key]+"\n";
  alert(lab+":\n"+sb);
}

var _ruleStateLabels = [];

function getRuleStateLabels()
{
	if ( _ruleStateLabels.length == 0 )
	{
		_ruleStateLabels["Coding"] = $i18n("rules.ruleAction.js.ruleState.Coding.txt");
		_ruleStateLabels["Testing"] = $i18n("rules.ruleAction.js.ruleState.Testing.txt");
		_ruleStateLabels["Production"] = $i18n("rules.ruleAction.js.ruleState.Production.txt");
		_ruleStateLabels["Deactivated"] = $i18n("rules.ruleAction.js.ruleState.Deactivated.txt");
		_ruleStateLabels["Trash"] = $i18n("rules.ruleAction.js.ruleState.Trash.txt");
		_ruleStateLabels["Archive"] = $i18n("rules.ruleAction.js.ruleState.Archive.txt");
	}
	return _ruleStateLabels;
}

// Returns true if the currently selected rule states do not match the indicated legal states
function hasUnacceptableStates(acceptableStatesList, msgKey) {
// debugger;
   var acStates = new Object();
   var acStatesAry = acceptableStatesList.split(" ");
   for (var s in acStatesAry) {
      acStates[acStatesAry[s]] = true;
   }
   var states = selectedRuleStates.split(",");
   for (var i=0; i<states.length; i++)
   {
      if (states[i] && !acStates[states[i]])
      {
    	 var ruleState = getRuleStateLabels()[states[i]];
    	 var ruleNumber = "" + selectedBaseRuleIds.split(",")[i] + "." + selectedRuleVersions.split(",")[i];

    	 alert($i18n(msgKey, [ruleState, ruleNumber]));

 //        alert(states[i] + " rule " + selectedBaseRuleIds.split(",")[i] + "." + selectedRuleVersions.split(",")[i] + " cannot " +
 //              msg + " because it is not in state: " + acceptableStatesList);
         return true;
      }
   }
   return false;
}



// Toggle for toolbars
var showFind = true;
var showEstimate = false;

function showFindToolbar(show)
{
   var findDiv = document.getElementById('findDiv');
   if(show)
      showFind = true;
   else   // toggle toolbar
      showFind = !showFind;

   if(showFind)
      findDiv.style.display = 'block'
   else
      findDiv.style.display = 'none';

   // showSeparator();

}


function showSeparator()
{
    // need a divider if search toolbar is also visible
   if(showFind && showEstimate)
      estimateSeparatorDiv.style.display = 'block';
   else
      estimateSeparatorDiv.style.display = 'none';
}



// Opens a new window with a printable form of the current rule
function showPrintableRule()
{
  var popH = 535;
  var popW = 735;
  theWindow = window.open("rules/printableRule.htm", "PrintableRule",
      'resizable=1,scrollbars=1,status=1,width=' + popW + ',height=' + popH);
  theWindow.focus();
}


// Returns the position of the indicated TR in its containing TABLE
function getPositionOfTableRow(row)
{
    var table = row.parentNode;
    while (table.tagName != "TABLE")
        table = table.parentNode;
    var rows = table.rows;
    var r;
    for (r=0; r<rows.length; r++)
        if (rows[r].id == row.id) break;
    return r;
}




// Returns a Date formatted according to the specified format (like java.text.SimpleDateFormat)
//
// Field        | Full Form          | Short Form
// -------------+--------------------+-----------------------
// Year         | yyyy (4 digits)    | yy (2 digits), y (2 or 4 digits)
// Month        | MMM (name or abbr.)| MM (2 digits), M (1 or 2 digits)
//              | NNN (abbr.)        |
// Day of Month | dd (2 digits)      | d (1 or 2 digits)
// Day of Week  | EE (name)          | E (abbr)
// Hour (1-12)  | hh (2 digits)      | h (1 or 2 digits)
// Hour (0-23)  | HH (2 digits)      | H (1 or 2 digits)
// Hour (0-11)  | KK (2 digits)      | K (1 or 2 digits)
// Hour (1-24)  | kk (2 digits)      | k (1 or 2 digits)
// Minute       | mm (2 digits)      | m (1 or 2 digits)
// Second       | ss (2 digits)      | s (1 or 2 digits)
// AM/PM        | a                  |
var MONTH_NAMES = new Array('January','February','March','April','May','June','July','August','September','October','November','December','Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
var DAY_NAMES = new Array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sun','Mon','Tue','Wed','Thu','Fri','Sat');
function formatDate(date,format) {
   format = format + "";
   var result = "";
   var i_format = 0;
   var c = "";
   var token = "";
   var y = date.getYear() + "";
   var M = date.getMonth() + 1;
   var d = date.getDate();
   var E = date.getDay();
   var H = date.getHours();
   var m = date.getMinutes();
   var s = date.getSeconds();
   var yyyy,yy,MMM,MM,dd,hh,h,mm,ss,ampm,HH,H,KK,K,kk,k;

   // Convert real date parts into formatted versions
   var value = new Object();
   if (y.length < 4)
      y = "" + (y - 0 + 1900);
   value["y"] = "" + y;
   value["yyyy"] = y;
   value["yy"] = y.substring(2,4);
   value["M"] = M;
   value["MM"] = fmtZ2(M);
   value["MMM"] = MONTH_NAMES[M - 1];
   value["NNN"] = MONTH_NAMES[M + 11];
   value["d"] = d;
   value["dd"] = fmtZ2(d);
   value["E"] = DAY_NAMES[E + 7];
   value["EE"] = DAY_NAMES[E];
   value["H"] = H;
   value["HH"] = fmtZ2(H);
   if (H == 0)
      value["h"] = 12;
   else if (H > 12)
      value["h"] = H - 12;
   else
      value["h"] = H;
   value["hh"] = fmtZ2(value["h"]);
   if (H > 11)
      value["K"] = H - 12;
   else
      value["K"] = H;
   value["k"] = H + 1;
   value["KK"] = fmtZ2(value["K"]);
   value["kk"] = fmtZ2(value["k"]);
   if (H > 11)
      value["a"] = "PM";
   else
      value["a"] = "AM";
   value["m"] = m;
   value["mm"] = fmtZ2(m);
   value["s"] = s;
   value["ss"] = fmtZ2(s);
   while (i_format < format.length) {
      c = format.charAt(i_format);
      token = "";
      while ((format.charAt(i_format) == c) && (i_format < format.length)) {
         token += format.charAt(i_format++);
      }
      if (value[token] !=  null)
         result = result + value[token];
      else
         result = result + token;
   }
   return result;
}

// Format a number as Z2.
function fmtZ2(x) {
  return(x<0||x>9 ? "" : "0") + x;
}

// Return the update interval in milliseconds making it at least as large as the specified minimum
function getUpdateMilliseconds(minSec) {
  var upSec = document.getElementById("updateInterval").value;
  return (!upSec || upSec<minSec) ? minSec*1000 : upSec*1000;
}

// Opens a window containing a printable version of a table
function printOpenerTable(title,tableId)
{
  document.getElementById('printableVersionTitle').value = title;
  document.getElementById('printableVersionTableId').value = tableId;
  var w = window.open('rules/tiles/printOpenerTable.htm',
                      'Printable_'+tableId,
                      'menubar,toolbar,resizable=1, scrollbars=1, status=1, width=800, height=600');
  w.focus();
}

